/*  *************************************************************************

	Shadow Door - a Neverwinter Nights NPC control interface
	Copyright 2003 by Robert Zubek and Phillip Saltzman, Northwestern University
    email: rob@cs.northwestern.edu, p-saltzman@northwestern.edu

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

************************************************************************** */

#if _MSC_VER > 1000
#pragma once
#endif 

#ifndef SD_STDAFX_H
#define SD_STDAFX_H

// CRT debug heap support (active in debug mode only)
#define CRTDBG_MAP_ALLOC
#define _CRTDBG_MAP_ALLOC 
#include <stdlib.h>
#include <crtdbg.h>

// Exclude rarely-used stuff from Windows headers
#define WIN32_LEAN_AND_MEAN		
#include <windows.h>
#include <winsock2.h>
#include <queue>
#include <string>
#include <hash_map>

// additional headers 
#include "NWNXBase.h"
#include "definitions.h"
#include "pointer table.h"
#include "shadow door.h"

#endif //SD_STDAFX_H